extends Sprite2D

# 移動速度（ピクセル/秒）
@export var speed: float = 200.0

func _process(delta: float) -> void:
	# 移動方向の計算
	var direction = 0
	if Input.is_action_pressed("move_left"):
		direction -= 1
	if Input.is_action_pressed("move_right"):
		direction += 1

	# スプライトの位置を更新
	position.x += direction * speed * delta
